Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.5 Regression?: No

Operating System: Win7 32 and 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23423

Description

In QGIS versions 2.14.5>=It appears that each composer is being loaded into memory when the project is opened.  This is happening

whether or not the composers were open when the project was saved.

Opening a large project with nearly 100 map composers created with qgis 2.10 takes over 20 minutes with qgis versions >=2.14.5.  The

project opens on the same computer in 8 seconds when using QGIS 2.10.

When using smaller projects (17 composers)  load time in 2.10 is 43 seconds. In 2.14.5 it is 93 seconds.  I can replicate this issue in a

project containing no layers by adding multiple composers to it.

Is there a setting that can be used to change this behavior or should I plan on sticking to older versions of qgis?

I have been experiencing this issue on Windows 7 computers both 32 and 64 bit versions.  In every case I have used the standalone

installers.

This issue is very similar to one posted here #10828  especially comment #45.

I have also posted this issue on the gis stackexchange board.

Related issues:

Duplicates QGIS Application - Bug report # 10828: project loading and adding/... Closed 2014-07-07

History

#1 - 2016-09-23 02:13 AM - Tobias Hurtienne

Hallo,

've just read through this ticket. I have also the problem with the long load time in QGIS 2.14.6 LTR, if I load with lots of composers. In the LTR 2.8.9 Wien

there isn't this  problem. Time to load for 30 composers takes 15 minutes!

That's a big problem!

HELP! HELP! HELP!

#2 - 2016-10-21 02:08 AM - Bjoern Gessler

Got the same problem as well under Linux, as under Windows 7 and 10. QGIS VErsion 16.3 and 16.1.

I got a project with about 15 Print composers, some of them quite large (about 60 x 90 cm). The QGIS-project has risen to a size of about 16MB, loading

the project takes about 20 Minutes on a i5-3,4 GHz computer with 8 GB of RAM.

Also saving the project sometimes takes up to 5 minutes.
http://gis.stackexchange.com/questions/208507/qgis-desktop-2-14-5-and-2-16-projects-with-multiple-composers-loading-very-slowl/208575#208575


Makes working sometimes really annoying...

Guess this might be a major issue witch then could be more or less simply fixed by not loading all map layouts into the memory at start up.

#3 - 2016-12-12 03:23 AM - Adam Szieberth

- Target version changed from Version 2.14 to Version 2.18

This bug is very annoying.

EDIT: Erm, sorry, accidentally changed version form the LTR.

#4 - 2017-03-07 01:38 AM - Giovanni Manghi

- Status changed from Open to Closed

There have been several improvements in both 2.18.* and master (qgis3) and all the provided projects with/without layouts now open in a very reasonable

amount of time, especially on master.

#5 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
